import React from 'react';
import ReactDOM from 'react-dom';
import './timepicker/css/timpicker.css';
import store from './store'
import {Provider} from 'react-redux';
import TimePicker from './timepicker/containers/timepicker-container';

function Timepicker() {
    return (<Provider store={store}>
        <TimePicker />
    </Provider>);
}

// ReactDOM.render(
//     <Timepicker/>,
//     document.getElementById('root'));

module.exports(Timepicker);