import React, {Component} from 'react';
import '../css/timpicker.css';
import ReactDOM from 'react-dom';
import Clock from '../containers/clock-container';

class TimePicker extends Component {
    render() {
        return (
            <div className="time-picker">
                <input ref="trigger" type="text" readOnly="true"
                       value={this.props.timepicker.timeString} onClick={() => {
                    this.props.showClock(ReactDOM.findDOMNode(this.refs.trigger));
                }}/>
                <Clock />
            </div>
        );
    }
}

/*

 const TimePicker = (props) => {
 return <div className="time-picker">
 <input ref="trigger" type="text" readOnly="true"
 value={props.timepicker.timeString} onClick={() => {
 this.props.showClock(ReactDOM.findDOMNode(this.refs.trigger));
 }}/>
 {/!*<Clock visible={this.state.visible} position={this.state.position} onTimeChanged={this.onTimeChanged}*!/}
 {/!*onDone={this.onDone} hour={this.state.hour} minute={this.state.minute} am={this.state.am}/>*!/}
 </div>;
 }
 */


export default TimePicker;