import React, {Component} from 'react';
import '../css/timpicker.css';
import ReactDOM from 'react-dom';
import AmPm from './clock-ampm-component';
import Hours from './clock-hour-component';
import Minutes from './clock-minute-component';

const Clock = (props) => {

    return (
        <div className={"clock " + (props.timepicker.clockVisible ? "clock-show" : "clock-hide")} style={{
            top: props.timepicker.position.top,
            left: props.timepicker.position.left
        }}>
            <div className="clock-face-wrapper">
                <Hours {...props}/>
                <Minutes {...props} />
            </div>
            <AmPm {...props} />
        </div>
    );
}

export  default Clock;