import React from 'react';
import Face from './clock-face-component';


function _pad(value) {
    value = value.toString();
    return value.length === 1 ? "0" + value : value;
}


const Minutes = (props) => (
    <Face {...props} type="minutes" values={Array.from({length: 12}, (v, k) => _pad((k+1 === 12 ? 0 : k+1) * 5))}
          selected={props.timepicker.minutesVisible}/>
);


export default Minutes;