import React, {Component} from 'react';
import '../css/timpicker.css';


class Ticks extends Component {
    buildTick(index) {
        return React.createElement(
            "div",
            {
                key: index,
                className: "tick " + (index % 5 === 0 ? "big " : ""),
                style: {transform: "rotate(" + index * 6 + "deg)", WebkitTransform: "rotate(" + index * 6 + "deg)"}
            },
            React.createElement("div", null)
        );
    }

    render() {
        var ticks = [];
        for (var i = 0; i < 60; i++)
            ticks.push(this.buildTick(i));

        return <div className="ticks">
            {ticks}
        </div>;
    }

}
export default Ticks;